Bug 242910 - Wrong init script
Wrong init script
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: initscripts Maintenance Team
Brock Organ
: Reopened
Depends On:
Blocks: 237789 242911 242912
  Show dependency treegraph
Reported: 2007-06-06 08:40 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-27 11:32:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-06-06 08:40:27 EDT
Description of problem:
Some constructions in netfs, network and single initscripts violate our
initscript guidelines. Main problems are incorrect error codes and exiting the
script without calling status command when it is supposed to. For example of
such construction, look at these:
[ -f /etc/sysconfig/network ] || exit 0
[ "${NETWORKING}" = "no" ] && exit 0

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:

For an example of the script that returns the error codes correctly and always
runs status see:

This bug is tracked by 237789.
Comment 1 RHEL Product and Program Management 2007-06-06 08:43:52 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 3 Bill Nottingham 2009-04-27 11:32:15 EDT
Changing this would change the behavior of initscripts in a update release, which is bad form.

Also, not having the network configured isn't really an error; this script is sort of a special case.

Note You need to log in before you can comment on or make changes to this bug.